import React from 'react';
import './_users-list.scss';
declare class Users extends React.Component {
    props: any;
    tabs: any;
    state: any;
    static propTypes: any;
    constructor(props: any);
    componentDidMount(): Promise<void>;
    refreshUsers({ pageNo, pageSize, sort, filter, source }?: any): Promise<void>;
    onColFilterSelection(data: any): void;
    resetEditColumns(): Promise<void>;
    updateColumnUI(): Promise<void>;
    onEditColumnToggle(data: any, field: any): void;
    handleTabChange(data: any): void;
    onFilterChange(data: any): void;
    handlePageChange(data: any): Promise<void>;
    onGridAction(row: any, value: any, column: any): Promise<void>;
    onFilterToggle(): void;
    onFilterAction(data: any, action: any): Promise<void>;
    users_OnSort(data: any, column: any): Promise<void>;
    render(): import("react/jsx-runtime").JSX.Element;
}
export { Users };
declare const _default: import("react-redux").ConnectedComponent<typeof Users, {
    [x: string]: any;
    [x: number]: any;
    [x: symbol]: any;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>>;
    store?: import("redux").Store<any, import("redux").AnyAction>;
}>;
export default _default;
